Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 599437 - dual spacing fonts support in emacs broken
dual spacing fonts support in emacs broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 04:50 EDT by Takanori MATSUURA
Modified: 2013-03-03 18:01 EST (History)
3 users (show)

See Also:
Fixed In Version: emacs-23.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 11:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix this issue. (949 bytes, patch)
2010-06-03 04:50 EDT, Takanori MATSUURA
no flags Details | Diff

  None (edit)
Description Takanori MATSUURA 2010-06-03 04:50:02 EDT
Created attachment 419284 [details]
A patch to fix this issue.

Emacs cannot treat dual spacing fonts properly.


Steps to Reproduce:
1.install ipa-gothic-fonts and emacs
2.set (set-frame-font "IPAGothic") into ~/.emacs
3.open text file with emacs
  
Actual results:
151 chars line width

Expected results:
80 chars line width
Comment 1 Takanori MATSUURA 2010-06-03 04:53:34 EDT
Upstream bug:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4129
Comment 2 Karel Klíč 2010-06-03 06:35:10 EDT
Fixed in Rawhide:
emacs-23.2-5.fc14.src.rpm
Comment 3 Karel Klíč 2010-06-03 09:14:00 EDT
Fedora 13: emacs-23_2-4_fc13
Fedora 12: emacs-23_1-24_fc12
Comment 4 Bug Zapper 2010-07-30 07:48:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2010-08-03 11:47:46 EDT
emacs-23.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emacs-23.2-4.fc13
Comment 6 Fedora Update System 2010-08-03 11:49:13 EDT
emacs-23.1-24.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-23.1-24.fc12
Comment 7 Fedora Update System 2010-08-17 01:30:15 EDT
emacs-23.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-17 01:42:27 EDT
emacs-23.1-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.